{ pkgs, configFile, ... }:
	pkgs.cryto.nodeApplication {
		name = "mobile-proxy";
		source = pkgs.stdenv.mkDerivation {
			name = "mobile-proxy-application";
			src = pkgs.cryto.fetchFromCrytoGit {
				owner = "joepie91";
				repo = "mobile-proxy";
				rev = "1628f4be61621c1783e93ef6719b1dae4f352be8";
				sha256 = "1qi07psj88fqlsyr6kaypaxq9ayhc95pp66qa53ln0w58yvjgims";
			};

			buildCommand = ''
				mkdir -p $out
				tar --strip-components=1 -xzvf $src -C $out
				cp ${configFile} $out/config.jsx
			'';
		};
	}
